Get the observer room for an interview
curl --request GET \
--url https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews/{interviewBookingId}/observer-room \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews/{interviewBookingId}/observer-room"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews/{interviewBookingId}/observer-room', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"observerRoomId": "<string>",
"interviewBookingId": "<string>",
"studyId": "<string>",
"title": "<string>",
"note": "<string>",
"guestUserIds": [
"<string>"
],
"externalGuests": [
"<string>"
],
"linkWithPassword": "<string>",
"bots": [
{
"observerRoomBotId": "<string>",
"observerRoomId": "<string>",
"video": {
"hasVideo": true,
"downloadUrl": "<string>"
},
"transcript": {
"hasTranscript": true,
"transcriptUrl": "<string>",
"shortSummary": "<string>",
"longSummary": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}"Unauthorized""Forbidden""{Resource} not found""Too Many Requests""Internal Server Error"Studies
Get the observer room for an interview
Get the observer room for an interview
GET
/
studies
/
{studyId}
/
interviews
/
{interviewBookingId}
/
observer-room
Get the observer room for an interview
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
The observer room
The rally userIds associated with the observer room
The external guests associated with the observer room
The full observer room link including the password
The bots associated with the observer room
Show child attributes
Show child attributes
⌘I